[@algorandfoundation/algokit-utils](../README.md) / [types/app-client](../modules/types_app_client.md) / AppSourceMaps

# Interface: AppSourceMaps

[types/app-client](../modules/types_app_client.md).AppSourceMaps

Source maps for an Algorand app

## Table of contents

### Properties

- [approvalSourceMap](types_app_client.AppSourceMaps.md#approvalsourcemap)
- [clearSourceMap](types_app_client.AppSourceMaps.md#clearsourcemap)

## Properties

### approvalSourceMap

• **approvalSourceMap**: [`SourceMapExport`](types_app_client.SourceMapExport.md)

The source map of the approval program

#### Defined in

[src/types/app-client.ts:263](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-client.ts#L263)

___

### clearSourceMap

• **clearSourceMap**: [`SourceMapExport`](types_app_client.SourceMapExport.md)

The source map of the clear program

#### Defined in

[src/types/app-client.ts:265](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-client.ts#L265)
